Bug 63441 - No sound in WindowMaker
No sound in WindowMaker
Product: Red Hat Public Beta
Classification: Retired
Component: WindowMaker (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Copeland
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2002-04-13 20:42 EDT by Joel Schneider
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-04-13 20:43:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joel Schneider 2002-04-13 20:42:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (X11; U; Linux 2.4.18-0.4 i586)

Description of problem:
When attempting to play a song using xmms in WindowMaker, there is no sound and
an error message is printed.  The Red Hat distribution does not include any
wmsound RPM, so I had to use artsd to get sound output.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start WindowMaker window manager.
2. Run xmms.
3. Attempt to play a song.

Actual Results:  No sound is produced.  The following error messages are printed
by xmms.

mcop warning: user defined signal handler found for SIG_PIPE, overriding
arts_init error: can't connect to aRts soundserver

Expected Results:  Song should have played.

Additional info:

If the arts soundserver (/usr/bin/artsd) is started manually before running
xmms, then sound is produced and the song is played.  One error message is still

mcop warning: user defined signal handler found for SIG_PIPE, overriding
Comment 1 Phil Copeland 2002-04-15 16:18:48 EDT
wmsound was depricated long ago.

I dunno why exactly you can't play sound while running windowmaker because I've
tried it on a couple of laptops, 3 desktops and two dec alphas and they all work

Comment 2 Joel Schneider 2002-04-17 04:39:45 EDT
Looks like you are correct.  All I had to do was reconfigure XMMS to use the OSS
output plugin (instead of aRts).  Sorry about that.

Note You need to log in before you can comment on or make changes to this bug.